test_and_set_bit
Prev | Bit Operations | Next

## Name

test_and_set_bit — Set a bit and return its old value

## Synopsis

`int test_and_set_bit (` | int | nr,
| volatile unsigned long * | addr`)`;

## Arguments

`nr`

  Bit to set

`addr`

  Address to count from

## Description

This operation is atomic and cannot be reordered. It may be reordered on other architectures than x86. It also implies a memory barrier.

Prev | Up | Next
change_bit | Home | test_and_set_bit_lock